## ros-noetic-rtabmap-ros 0.21.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rtabmap_ros)

find_package(catkin REQUIRED COMPONENTS
)

catkin_package()

#############
## Install ##
#############

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-noetic-rtabmap-ros 0.20.23

=== debian/changelog ===
ros-noetic-rtabmap-ros (0.20.23-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Sun, 22 Jan 2023 22:24:33 -0000

=== debian/control ===
Source: ros-noetic-rtabmap-ros
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-noetic-apriltag-ros, ros-noetic-catkin, ros-noetic-class-loader, ros-noetic-costmap-2d, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-eigen-conversions, ros-noetic-find-object-2d, ros-noetic-genmsg, ros-noetic-geometry-msgs, ros-noetic-image-geometry, ros-noetic-image-transport, ros-noetic-laser-geometry, ros-noetic-message-filters, ros-noetic-message-generation, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-octomap-msgs, ros-noetic-pcl-conversions, ros-noetic-pcl-ros, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-rtabmap, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-stereo-msgs, ros-noetic-tf, ros-noetic-tf-conversions, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rtabmap-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-apriltag-ros, ros-noetic-class-loader, ros-noetic-compressed-depth-image-transport, ros-noetic-compressed-image-transport, ros-noetic-costmap-2d, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-eigen-conversions, ros-noetic-find-object-2d, ros-noetic-geometry-msgs, ros-noetic-image-geometry, ros-noetic-image-transport, ros-noetic-laser-geometry, ros-noetic-message-filters, ros-noetic-message-runtime, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-octomap-msgs, ros-noetic-pcl-conversions, ros-noetic-pcl-ros, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-rtabmap, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-stereo-msgs, ros-noetic-tf, ros-noetic-tf-conversions, ros-noetic-tf2-ros, ros-noetic-theora-image-transport, ros-noetic-visualization-msgs
Description: RTAB-Map's ros-pkg.
 RTAB-Map is a RGB-D SLAM approach with real-time constraints.

## ros-noetic-rtabmap-ros 0.21.1

=== debian/changelog ===
ros-noetic-rtabmap-ros (0.21.1-4focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Sat, 15 Apr 2023 17:58:33 -0000

=== debian/control ===
Source: ros-noetic-rtabmap-ros
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rtabmap-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rtabmap-conversions, ros-noetic-rtabmap-costmap-plugins, ros-noetic-rtabmap-demos, ros-noetic-rtabmap-examples, ros-noetic-rtabmap-launch, ros-noetic-rtabmap-legacy, ros-noetic-rtabmap-msgs, ros-noetic-rtabmap-python, ros-noetic-rtabmap-rviz-plugins, ros-noetic-rtabmap-slam, ros-noetic-rtabmap-sync, ros-noetic-rtabmap-util, ros-noetic-rtabmap-viz
Description: RTAB-Map Stack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rtabmap-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
